
package encapsuladores;

public class LineaFactura {
        private double precioUnitario;
        private byte unidades;
        private final byte IVA = 21;
    
    public double getPrecioUnitario() {
        return precioUnitario;
    }

    public void setPrecioUnitario(double precioUnitario) {
        this.precioUnitario = precioUnitario;
    }

    public byte getUnidades() {
        return unidades;
    }

    public void setUnidades(byte unidades) {
        this.unidades = unidades;
    }

    public double getPrecioFinal() {
        return (precioUnitario * unidades) * (1 + (IVA / (double)100));
    }         
}
